Package org.eclipse.jface.text

## Class FindReplaceDocumentAdapterContentProposalProvider

- java.lang.Object
- - org.eclipse.jface.text.FindReplaceDocumentAdapterContentProposalProvider

All Implemented Interfaces:
  `IContentProposalProvider`

    public class FindReplaceDocumentAdapterContentProposalProvider
    extends Object
    implements IContentProposalProvider

Content assist proposal provider for the `FindReplaceDocumentAdapter`.

Clients can subclass to provide additional proposals in case they are supported by their own find/replace mechanism.

Note: Clients must not make any assumptions about the returned proposals. This can change from release to release to adapt to changes made in `FindReplaceDocumentAdapter`.

Since:
  3.4

### Constructor Summary

Constructors
`FindReplaceDocumentAdapterContentProposalProvider​(boolean isFind)` Creates a new completion proposal provider.

### Method Summary

All Methods Instance Methods Concrete Methods
`IContentProposal[]` `getProposals​(String contents, int position)` Return an array of content proposals representing the valid proposals for a field.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FindReplaceDocumentAdapterContentProposalProvider

    public FindReplaceDocumentAdapterContentProposalProvider​(boolean isFind)

Creates a new completion proposal provider.

Parameters:
  `isFind` - `true` if the provider is used for the 'find' field `false` if the provider is used for the 'replace' field

### Method Detail

#### getProposals

    public IContentProposal[] getProposals​(String contents,
                                           int position)

Description copied from interface: `IContentProposalProvider`
Return an array of content proposals representing the valid proposals for a field.

Specified by:
  `getProposals` in interface `IContentProposalProvider`
Parameters:
  `contents` - the current contents of the text field
  `position` - the current position of the cursor in the contents
Returns:
  the array of `IContentProposal` that represent valid proposals for the field.